import { ElementHandle } from 'puppeteer';
import { PageHelper } from './helpers/pageHelper';
declare const wishes: string[];
declare class BirthdayWisher {
    page: PageHelper;
    /**
     * @param  {string[]} names
     */
    private birthdayQuestions;
    /**
     * @param  {any} answers
     */
    login(credentials: any, config: any, savedConfig: any): Promise<any>;
    /**
     * @returns Promise<string[]>
     */
    fetchBirthdayNames(): Promise<string[]>;
    /**
     * @returns Promise<ElementHandle[]>
     */
    fetchAllTexts(): Promise<ElementHandle[]>;
    /**
     * @param  {string[]} birthdayNames
     * @param  {ElementHandle[]} birthdayTexts
     */
    wishAll(birthdayNames: string[], birthdayTexts: ElementHandle[], wish: string, config: any): Promise<any>;
    /**
     * @param  {string[]} birthdayNames
     * @param  {ElementHandle[]} birthdayTexts
     */
    birthdayWish(birthdayNames: string[], birthdayTexts: ElementHandle[], config: any): Promise<any>;
    /**
     * @param  {any} credentials
     */
    findAndWish(config: any, savedConfig: any): Promise<any>;
    /**
     * @param  {any} credentials
     * @param  {string} wish
     */
    findAndWishAll(wish: string, config: any, savedConfig: any): Promise<any>;
}
export { BirthdayWisher, wishes };
